# Uses of Enum Class
com.destroystokyo.paper.event.player.PlayerArmorChangeEvent.SlotType

Packages that use PlayerArmorChangeEvent.SlotType
Package
Description
com.destroystokyo.paper.event.player

## Uses of PlayerArmorChangeEvent.SlotType in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return PlayerArmorChangeEvent.SlotType
Modifier and Type
Method
Description
`static @Nullable PlayerArmorChangeEvent.SlotType`
PlayerArmorChangeEvent.SlotType.`getByMaterial(@NotNull Material material)`
Gets the type of slot via the specified material
`@NotNull PlayerArmorChangeEvent.SlotType`
PlayerArmorChangeEvent.`getSlotType()`
Gets the type of slot being altered.
`static PlayerArmorChangeEvent.SlotType`
PlayerArmorChangeEvent.SlotType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerArmorChangeEvent.SlotType[]`
PlayerArmorChangeEvent.SlotType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.destroystokyo.paper.event.player with parameters of type PlayerArmorChangeEvent.SlotType
Modifier
Constructor
Description
``
`PlayerArmorChangeEvent(@NotNull Player player, @NotNull PlayerArmorChangeEvent.SlotType slotType, @Nullable ItemStack oldItem, @Nullable ItemStack newItem)`